edu.sc.seis.sod

## Class WaveformWorkUnit

- java.lang.Object
- - edu.sc.seis.sod.WaveformWorkUnit

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    AbstractEventPair

      public abstract class WaveformWorkUnit
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `dbid`
    `static org.slf4j.Logger` | `failLogger`
    `protected java.sql.Timestamp` | `lastQuery`
    `protected int` | `numRetries`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WaveformWorkUnit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getDbid()`
    `java.sql.Timestamp` | `getLastQuery()`
    `int` | `getNumRetries()`
    `int` | `hashCode()`
    `protected void` | `setDbid(long dbid)`
    `protected void` | `setLastQuery(java.sql.Timestamp lastQuery)`
    `protected void` | `setNumRetries(int numRetries)`
    `void` | `updateRetries()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### dbid

          protected long dbid

    - #### numRetries

          protected int numRetries

    - #### lastQuery

          protected java.sql.Timestamp lastQuery

    - #### failLogger

          public static final org.slf4j.Logger failLogger

  - ### Constructor Detail

    - #### WaveformWorkUnit

          protected WaveformWorkUnit()

  - ### Method Detail

    - #### updateRetries

          public void updateRetries()

    - #### getDbid

          public long getDbid()

    - #### setDbid

          protected void setDbid(long dbid)

    - #### getNumRetries

          public int getNumRetries()

    - #### setNumRetries

          protected void setNumRetries(int numRetries)

    - #### getLastQuery

          public java.sql.Timestamp getLastQuery()

    - #### setLastQuery

          protected void setLastQuery(java.sql.Timestamp lastQuery)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`